(function ($, Drupal, drupalSettings) {

  'use strict';

  Drupal.digital_signage_timer = Drupal.digital_signage_timer || {};
  drupalSettings.digital_signage_timer = drupalSettings.digital_signage_timer || {};

  Drupal.behaviors.digital_signage_timer = {
    attach: function () {
      // Nothing to do yet.
    }
  };

  Drupal.digital_signage_timer.setInitialTimeout = function (seconds) {
    Drupal.digital_signage_timer.promise = new Promise(function(resolve) {
      Drupal.digital_signage_timer.resolve = resolve;
      Drupal.digital_signage_timer.resetTimeout(seconds);
    });
    return Drupal.digital_signage_timer.promise;
  };

  Drupal.digital_signage_timer.resetTimeout = function (seconds) {
    if (Drupal.digital_signage_timer.timeout) {
      clearTimeout(Drupal.digital_signage_timer.timeout);
    }
    Drupal.digital_signage_timer.timeout = setTimeout(function () {
      if (Drupal.digital_signage_timer.promise) {
        Drupal.digital_signage_timer.resolve();
      }
    }, seconds * 1000);
  };

})(jQuery, Drupal, drupalSettings);
